import React from "react"
import { connect } from "react-redux"
import { bindActionCreators } from "redux"
import { updateUser } from "../../actions/admins"

import UserList from "./users"

function mapStateToProps(state) {
  return {
    users : state.adminStore.get("users"),
  };
}
const mapDispatchToProps = (dipatch) =>
  bindActionCreators({ updateUser }, dipatch)

function AdminPanel(props) {
  return (
    <UserList
      users={props.users}
      updateUser={props.updateUser}
    />
  );
}

export default connect(mapStateToProps, mapDispatchToProps)(AdminPanel);
